> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ファイルカテゴリのテーブル一覧を取得

> 指定したファイルカテゴリに設定されているすべてのテーブルを取得します



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/category/tables/list
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/category/tables/list:
    get:
      tags:
        - ファイルカテゴリ
      summary: ファイルカテゴリのテーブル一覧を取得
      description: 指定したファイルカテゴリに設定されているすべてのテーブルを取得します
      operationId: listCategoryTables
      parameters:
        - name: workspace_id
          in: query
          description: ワークスペース ID
          required: true
          schema:
            type: string
            example: '1234567890'
        - name: category_id
          in: query
          description: ファイルカテゴリ ID
          required: true
          schema:
            type: string
            example: '1234567890'
      responses:
        '200':
          description: ファイルカテゴリテーブル一覧の取得に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          tables:
                            type: array
                            description: テーブルリスト
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: テーブル ID
                                  example: '1234567890'
                                name:
                                  type: string
                                  description: テーブル名
                                  example: Table 1
                                prompt:
                                  type: string
                                  description: テーブルの意味抽出プロンプト
                                  example: 各行から品目名、数量、金額を抽出します
                                collect_from_multi_table:
                                  type: boolean
                                  description: 複数テーブルを結合
                                  example: true
                                extract_model:
                                  type: string
                                  description: テーブルレベルの抽出モデル（Auto/Acgpt/Acgpt-VL/DF-M1）
                                  example: Acgpt
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````